Bug 435303 - Review Request: perl-File-LibMagic - perl interface to LibMagic
Review Request: perl-File-LibMagic - perl interface to LibMagic
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 11:19 EST by josh.kayse
Modified: 2015-10-26 14:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 14:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description josh.kayse 2008-02-28 11:19:05 EST
Spec URL:
http://www.stl.gtri.gatech.edu/jkayse/perl-File-LibMagic/perl-File-LibMagic.spec
SRPM URL:
http://www.stl.gtri.gatech.edu/jkayse/perl-File-LibMagic/perl-File-LibMagic-0.85-1.el5.src.rpm
Description: The File::LibMagic is a simple perl interface to libmagic from the
file-4.x package from Christos Zoulas (ftp://ftp.astron.com/pub/file/)
Comment 1 josh.kayse 2008-02-28 14:39:27 EST
This is my first package so I am seeking a sponsor.  Thanks
Comment 2 Richard W.M. Jones 2008-02-29 05:58:02 EST
Starting review.
Comment 3 Richard W.M. Jones 2008-02-29 06:02:23 EST
OK there are a few basic problems you need to fix.

Add BuildRequires: file-devel

The tests fail in a very strange way for me:

t/1....................ok                                                    
t/2-easy...............ok                                                    
        1/6 unexpectedly succeeded
t/3-complete-errors....ok                                                    
        1/8 unexpectedly succeeded
t/3-complete...........ok                                                    
t/4-all................ok                                                    
t/6-oo.................ok 1/20                                               
#   Failed test 'MIME t/samples/foo.c'
#   in t/6-oo.t at line 27.
#          got: 'text/x-c charset=us-ascii'
#     expected: 'text/x-c; charset=us-ascii'
t/6-oo.................NOK 2                                                 
#   Failed test 'MIME data t/samples/foo.c'
#   in t/6-oo.t at line 36.
#          got: 'text/x-c charset=us-ascii'
#     expected: 'text/x-c; charset=us-ascii'
t/6-oo.................NOK 4                                                 
#   Failed test 'MIME t/samples/foo.foo'
#   in t/6-oo.t at line 27.
#          got: 'text/plain charset=us-ascii'
#     expected: 'text/plain; charset=us-ascii'
t/6-oo.................NOK 6                                                 
#   Failed test 'MIME data t/samples/foo.foo'
#   in t/6-oo.t at line 36.
#          got: 'text/plain charset=us-ascii'
#     expected: 'text/plain; charset=us-ascii'
t/6-oo.................NOK 8                                                 
#   Failed test 'MIME t/samples/foo.c'
#   in t/6-oo.t at line 48.
#          got: 'text/x-c charset=us-ascii'
#     expected: 'text/x-c; charset=us-ascii'
t/6-oo.................NOK 11                                                
#   Failed test 'MIME data t/samples/foo.c'
#   in t/6-oo.t at line 57.
#          got: 'text/x-c charset=us-ascii'
#     expected: 'text/x-c; charset=us-ascii'
t/6-oo.................NOK 13# Looks like you failed 6 tests of 20.          
t/6-oo.................dubious                                               
        Test returned status 6 (wstat 1536, 0x600)
DIED. FAILED tests 2, 4, 6, 8, 11, 13
        Failed 6/20 tests, 70.00% okay
Failed Test Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/6-oo.t       6  1536    20    6  30.00%  2 4 6 8 11 13
 (2 subtests UNEXPECTEDLY SUCCEEDED).

Please try building under Fedora Rawhide and fix the above errors.
Comment 4 josh.kayse 2008-02-29 10:22:07 EST
Thanks for the feedback.

I've created a patch that fixes the tests and I've gotten it to build against
rawhide.  I've updated the spec and the rpm.

Spec:
http://www.stl.gtri.gatech.edu/jkayse/perl-File-LibMagic/perl-File-LibMagic.spec
SRPM:
http://www.stl.gtri.gatech.edu/jkayse/perl-File-LibMagic/perl-File-LibMagic-0.85-2.fc9.src.rpm
Comment 5 Richard W.M. Jones 2008-03-01 07:22:16 EST
+ rpmlint output
  rpmlint is clean
+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
- package should satisfy packaging guidelines

It needs to Require the exact Perl module, by adding:

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

(cf: http://www.math.uh.edu/~tibbs/perl-Dir-Which.spec)

+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  md5: 037150b3131a566b518a7042f9a8d527
+ package successfully builds on at least one architecture
  i386
+ ExcludeArch bugs filed
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
+ large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
+ header files should be in -devel
+ static libraries should be in -static
+ packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ packages should not contain libtool .la files
+ packages containing GUI apps must include %{name}.desktop file
- packages must not own files or directories owned by other packages

This is wrong:

%{perl_vendorarch}/*

Name the directories it uses more specifically, otherwise it ends up
owning the shared File directory.  (That's my understanding -- the
policy is vague and contradictory in this area).

+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
+ translations of description and summary for non-English languages, if available
? reviewer should build the package in mock
? the package should build into binary RPMs on all supported architectures
? review should test the package functions as described
+ scriptlets should be sane
+ pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

--------------

Just fix the two points raised above and post another spec/SRPM,
and if those are fixed there shouldn't be a problem with approval.
Comment 6 josh.kayse 2008-03-01 11:02:58 EST
I looked at the other perl-File-* specs and chose what I thought was the best
format for the files section and I added the perl Requires.

Thanks for the feedback.

Spec:
http://www.stl.gtri.gatech.edu/jkayse/perl-File-LibMagic/perl-File-LibMagic.spec
SRPM:
http://www.stl.gtri.gatech.edu/jkayse/perl-File-LibMagic/perl-File-LibMagic-0.85-3.fc9.src.rpm
Comment 7 Richard W.M. Jones 2008-03-01 11:11:50 EST
Everything fixed, confirmed it builds in mock.

APPROVED.
Comment 8 Kevin Fenzi 2008-03-10 23:03:19 EDT
Hey Josh. You are still looking for a sponsor?

Take a look at: 

http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

I would be happy to look at sponsoring you, but do you have any more packages
you would like to submit now? Or could you go and do some 'pre-reviews' (You
can't approve other reviews until you have been sponsored) to show your
understanding of the guidelines? 

Let me know... 
Comment 9 josh.kayse 2008-03-13 15:20:10 EDT
I've done a pre-review of the following 2 bugs and I'll keep doing them while
looking for/preparing more packages to sumbit:
https://bugzilla.redhat.com/show_bug.cgi?id=436637
https://bugzilla.redhat.com/show_bug.cgi?id=433778

Thanks for the interest.
Comment 10 Kevin Fenzi 2008-03-13 20:22:17 EDT
Cool. Can you perhaps do one more... any slightly more complex package?
 
Also, you might suggest what the submitter needs to do to fix the issues you find. 
Comment 12 Kevin Fenzi 2008-04-08 20:05:59 EDT
Excellent. Thanks. 

I would be happy to sponsor you... can you continue the process at: 
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a601c13b0950a89568deafa65f505b4b58ee869b

Comment 13 josh.kayse 2008-04-09 13:18:02 EDT
New Package CVS Request
=======================
Package Name: perl-File-LibMagic
Short Description: The File::LibMagic is a simple perl interface to libmagic
Owners: joshkayse, rmyers
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-04-09 22:48:09 EDT
cvs done.
Comment 15 Fedora Update System 2008-06-06 08:17:15 EDT
perl-File-LibMagic-0.85-3.fc9 has been submitted as an update for Fedora 9
Comment 16 Fedora Update System 2008-06-06 18:11:18 EDT
perl-File-LibMagic-0.85-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-LibMagic'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5078
Comment 17 Chris Weyl 2008-07-18 03:56:50 EDT
Josh -- are you planning on building this in rawhide? :)
Comment 18 Richard W.M. Jones 2008-09-09 09:49:50 EDT
Set NEEDINFO of reported.  This needs to be committed
to Rawhide, then this bug closed.
Comment 19 josh.kayse 2008-09-09 12:46:23 EDT
I built perl-File-LibMagic-0.88-0.fc10 back on July 28 but forgot to update the ticket.
closed
Comment 20 Fedora Update System 2008-09-11 13:00:31 EDT
perl-File-LibMagic-0.85-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-10-08 09:29:06 EDT
perl-File-LibMagic-1.00-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5b3c7c5044
Comment 22 Fedora Update System 2015-10-09 18:53:50 EDT
perl-File-LibMagic-1.00-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-File-LibMagic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-5b3c7c5044
Comment 23 Fedora Update System 2015-10-26 14:55:18 EDT
perl-File-LibMagic-1.00-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.